summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-05-09 11:50:00 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-05-09 13:31:40 +0200
commit78d3baee6a4c834139f8030a632e31db75cab0c6 (patch)
tree97353bfd1f6a7a440e3975e56e8b4ed8e8a01c26 /kde-frameworks/kdelibs4support
parentapp-text/libmspub: Fix build with GCC 10, EAPI-7 bump (diff)
downloadgentoo-78d3baee6a4c834139f8030a632e31db75cab0c6.tar.gz
gentoo-78d3baee6a4c834139f8030a632e31db75cab0c6.tar.bz2
gentoo-78d3baee6a4c834139f8030a632e31db75cab0c6.zip
kde-frameworks: Add KDE Frameworks 5.70.0
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks/kdelibs4support')
-rw-r--r--kde-frameworks/kdelibs4support/Manifest1
-rw-r--r--kde-frameworks/kdelibs4support/kdelibs4support-5.70.0.ebuild96
2 files changed, 97 insertions, 0 deletions
diff --git a/kde-frameworks/kdelibs4support/Manifest b/kde-frameworks/kdelibs4support/Manifest
index 336a3596417..1fd250e8ff0 100644
--- a/kde-frameworks/kdelibs4support/Manifest
+++ b/kde-frameworks/kdelibs4support/Manifest
@@ -1,2 +1,3 @@
DIST kdelibs4support-5.67.0.tar.xz 3516692 BLAKE2B 3ceec7a8baaa5e6bf5fac7beaa99545dccece888ad88f6801930ab3aac5b7d0c25734703d2eb58c9e5bea5e0a393ae828edbf57888d980c58586deee2ad394aa SHA512 68913823e8836890cb97a8d86cfdabd5d8e0f4e2484b932adfdb95a17fadd01dad0fa37058c078d089776e0744c7fac76635dcee998409d55ecc5e90b2e4f43e
DIST kdelibs4support-5.69.0.tar.xz 3520500 BLAKE2B e528de54f208cae7ab8f045c5569b57f0deb926ac412d1cbb2506bd57e84df051efdab87886573fdc47283d679c465312a69c67e1b017ba32997247830140117 SHA512 5d1d32bc88f05ed7f8ec05ec133133569dd6d673232a6a391cab406cb87ddeac04d3b2262c9c3677735d0f89fd285911a97bec2b4fff029c546b47930ed415b5
+DIST kdelibs4support-5.70.0.tar.xz 3511172 BLAKE2B fc3f35cc4c039761fe928945dcc9b424e045c60f6a73eec0baa61b6d82c06c79d133f54d815715b07b5699dc354041cd19dd22866d0f2d9d9788a94f9f79d236 SHA512 c736a114ddc654a8e5628b7a24b0666fe1469f9abd5a20d238794a11daa2c9769e1bd9afaa8804b99665981b5ea418706a24226586a3a58695de3164856d9aba
diff --git a/kde-frameworks/kdelibs4support/kdelibs4support-5.70.0.ebuild b/kde-frameworks/kdelibs4support/kdelibs4support-5.70.0.ebuild
new file mode 100644
index 00000000000..070b514c68a
--- /dev/null
+++ b/kde-frameworks/kdelibs4support/kdelibs4support-5.70.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="true"
+ECM_QTHELP="false"
+PVCUT=$(ver_cut 1-2)
+QTMIN=5.12.3
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="Framework easing the development transition from KDELibs 4 to KF 5"
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="libressl X"
+
+BDEPEND="
+ dev-lang/perl
+ dev-perl/URI
+"
+COMMON_DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5[ssl]
+ >=dev-qt/qtprintsupport-${QTMIN}:5
+ >=dev-qt/qtsvg-${QTMIN}:5
+ >=dev-qt/qttest-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ =kde-frameworks/kauth-${PVCUT}*:5
+ =kde-frameworks/kcodecs-${PVCUT}*:5
+ =kde-frameworks/kcompletion-${PVCUT}*:5
+ =kde-frameworks/kconfig-${PVCUT}*:5
+ =kde-frameworks/kconfigwidgets-${PVCUT}*:5
+ =kde-frameworks/kcoreaddons-${PVCUT}*:5
+ =kde-frameworks/kcrash-${PVCUT}*:5
+ =kde-frameworks/kdbusaddons-${PVCUT}*:5
+ >=kde-frameworks/kded-${PVCUT}:5
+ =kde-frameworks/kdesignerplugin-${PVCUT}*:5
+ =kde-frameworks/kdoctools-${PVCUT}*:5
+ =kde-frameworks/kemoticons-${PVCUT}*:5
+ =kde-frameworks/kglobalaccel-${PVCUT}*:5
+ =kde-frameworks/kguiaddons-${PVCUT}*:5
+ =kde-frameworks/ki18n-${PVCUT}*:5
+ =kde-frameworks/kiconthemes-${PVCUT}*:5
+ =kde-frameworks/kio-${PVCUT}*:5
+ =kde-frameworks/kitemviews-${PVCUT}*:5
+ =kde-frameworks/kjobwidgets-${PVCUT}*:5
+ =kde-frameworks/knotifications-${PVCUT}*:5
+ =kde-frameworks/kparts-${PVCUT}*:5
+ =kde-frameworks/kservice-${PVCUT}*:5
+ =kde-frameworks/ktextwidgets-${PVCUT}*:5
+ =kde-frameworks/kunitconversion-${PVCUT}*:5
+ =kde-frameworks/kwidgetsaddons-${PVCUT}*:5
+ =kde-frameworks/kwindowsystem-${PVCUT}*:5
+ =kde-frameworks/kxmlgui-${PVCUT}*:5
+ =kde-frameworks/solid-${PVCUT}*:5
+ app-text/docbook-xml-dtd:4.2
+ virtual/libintl
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ X? (
+ >=dev-qt/qtx11extras-${QTMIN}:5
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-qt/designer-${QTMIN}:5
+ test? ( >=dev-qt/qtconcurrent-${QTMIN}:5 )
+ X? ( x11-base/xorg-proto )
+"
+RDEPEND="${COMMON_DEPEND}
+ =kde-frameworks/kinit-${PVCUT}*:5
+ =kde-frameworks/kitemmodels-${PVCUT}*:5
+ >=dev-qt/qtxml-${QTMIN}:5
+"
+
+RESTRICT+=" test"
+
+src_prepare() {
+ ecm_src_prepare
+ if ! use handbook; then
+ sed -e "/kdoctools_install/ s/^/#DONT/" -i CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package X X11)
+ )
+
+ ecm_src_configure
+}